﻿<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxml="urn:schemas-microsoft-com:xslt"
  xmlns:umbraco.library="urn:umbraco.library"
  xmlns:CommerceLibrary="urn:CommerceLibrary"
  exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:param name="currentPage"/>

	<xsl:template match="/">

		<xsl:variable name="productReviewId" select="umbraco.library:RequestQueryString('productReviewId')"/>
		<xsl:variable name="helpful" select="umbraco.library:RequestQueryString('helpful')"/>
		<xsl:variable name="postedFirstName" select="umbraco.library:RequestForm('firstNameInput')"/>
		<xsl:variable name="postedLastName" select="umbraco.library:RequestForm('lastNameInput')"/>
		<xsl:variable name="postedEmail" select="umbraco.library:RequestForm('emailInput')"/>
		<xsl:variable name="postedProductReviewId" select="umbraco.library:RequestForm('productReviewIdInput')"/>
		<xsl:variable name="postedHelpful" select="umbraco.library:RequestForm('helpfulInput')"/>
		<xsl:variable name="postedCommentText" select="umbraco.library:RequestForm('commentTextInput')"/>
		<xsl:variable name="currentCustomer" select="CommerceLibrary:GetCurrentCustomer()"/>

		<xsl:if test="string-length($postedFirstName) > 0 and string-length($postedLastName) > 0">
			<xsl:variable name="getBasket" select="CommerceLibrary:GetBasket(number(1))"/>
			<xsl:variable name="editCustomer" select="CommerceLibrary:EditCustomer($postedFirstName, $postedLastName, $postedEmail, '', '')"/>
		</xsl:if>

		<!-- Call add product review comment method on post -->
		<xsl:if test="string-length($postedProductReviewId) > 0">
			<xsl:choose>
				<xsl:when test="string-length($postedCommentText) > 0 and string-length($postedHelpful) > 0 and string-length($postedFirstName) > 0 and string-length($postedLastName) > 0">
					<xsl:variable name="addProductReviewComment" select="CommerceLibrary:AddProductReviewComment($postedProductReviewId, number($postedHelpful), $postedCommentText, $currentCustomer/customer/@id)"/>
				</xsl:when>
				<xsl:when test="string-length($postedCommentText) > 0 and string-length($postedHelpful) > 0">
					<xsl:variable name="addProductReviewComment" select="CommerceLibrary:AddProductReviewComment($postedProductReviewId, number($postedHelpful), $postedCommentText)"/>
				</xsl:when>
				<xsl:when test="string-length($postedHelpful) > 0">
					<xsl:variable name="addProductReviewComment" select="CommerceLibrary:AddProductReviewComment($postedProductReviewId, number($postedHelpful))"/>
				</xsl:when>
			</xsl:choose>
		</xsl:if>

		<!-- Call add product review comment method on get -->
		<xsl:if test="string-length($productReviewId) > 0 and string-length($helpful) > 0">
			<xsl:variable name="addProductReviewComment" select="CommerceLibrary:AddProductReviewComment($productReviewId, number($helpful))"/>
		</xsl:if>

	</xsl:template>

</xsl:stylesheet>