﻿<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxml="urn:schemas-microsoft-com:xslt"
  xmlns:umbraco.library="urn:umbraco.library"
  xmlns:CommerceLibrary="urn:CommerceLibrary"
  exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:param name="currentPage"/>

	<xsl:template match="/">

		<xsl:variable name="postedSku" select="umbraco.library:RequestForm('skuInput')"/>
		<xsl:variable name="postedFirstName" select="umbraco.library:RequestForm('firstNameInput')"/>
		<xsl:variable name="postedLastName" select="umbraco.library:RequestForm('lastNameInput')"/>
		<xsl:variable name="postedEmail" select="umbraco.library:RequestForm('emailInput')"/>
		<xsl:variable name="postedRating" select="umbraco.library:RequestForm('ratingInput')"/>
		<xsl:variable name="postedReviewHeadline" select="umbraco.library:RequestForm('reviewHeadlineInput')"/>
		<xsl:variable name="postedReviewText" select="umbraco.library:RequestForm('reviewTextInput')"/>
		
		<xsl:if test="string-length($postedFirstName) > 0 and string-length($postedLastName) > 0">
			<xsl:variable name="getBasket" select="CommerceLibrary:GetBasket(number(1))"/>
			<xsl:variable name="editCustomer" select="CommerceLibrary:EditCustomer($postedFirstName, $postedLastName, $postedEmail, '', '')"/>
		</xsl:if>

		<xsl:variable name="currentCustomer" select="CommerceLibrary:GetCurrentCustomer()"/>

		<xsl:if test="string-length($postedSku) > 0">
			<!-- Call add product review method -->
			<xsl:choose>
				<xsl:when test="string-length($postedRating) > 0 and string-length($postedReviewHeadline) > 0 and string-length($postedReviewText) > 0 and string-length($postedFirstName) > 0 and string-length($postedLastName) > 0">
					<xsl:variable name="addProductReview" select="CommerceLibrary:AddProductReview($postedSku, $postedRating, $postedReviewHeadline, $postedReviewText, $currentCustomer/customer/@id)"/>
				</xsl:when>
				<xsl:when test="string-length($postedRating) > 0 and string-length($postedReviewHeadline) > 0 and string-length($postedReviewText) > 0">
					<xsl:variable name="addProductReview" select="CommerceLibrary:AddProductReview($postedSku, $postedRating, $postedReviewHeadline, $postedReviewText)"/>
				</xsl:when>
				<xsl:when test="string-length($postedReviewHeadline) > 0 and string-length($postedReviewText) > 0">
					<xsl:variable name="addProductReview" select="CommerceLibrary:AddProductReview($postedSku, $postedReviewHeadline, $postedReviewText)"/>
				</xsl:when>
				<xsl:when test="string-length($postedRating) > 0">
					<xsl:variable name="addProductReview" select="CommerceLibrary:AddProductRating($postedSku, $postedRating)"/>
				</xsl:when>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>