﻿<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">

	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:template name="productReview">
		
		<xsl:param name="productReviewId" />
		<xsl:variable name="review" select="CommerceLibrary:GetProductReview($productReviewId)"></xsl:variable>

		<div>
			<xsl:value-of select="$review/productReview/@helpful" /> of <xsl:value-of select="$review/productReview/@helpful + $review/productReview/@unhelpful" /> found this review helpful
			<br />
			<xsl:call-template name="rating.for.loop">
				<xsl:with-param name="i">0</xsl:with-param>
				<xsl:with-param name="count">5</xsl:with-param>
				<xsl:with-param name="rating">
					<xsl:value-of select="$review/productReview/@rating div 20" />
				</xsl:with-param>
			</xsl:call-template>&nbsp;
			<b>
				<xsl:value-of select="$review/productReview/reviewHeadline" />
			</b>,&nbsp;
			By&nbsp;<xsl:value-of select="$review/productReview/customer/@firstName" />&nbsp;
			<xsl:value-of select="$review/productReview/customer/@lastName" />,&nbsp;<xsl:value-of select="$review/productReview/@createdOn" />
			<br />
			<xsl:value-of select="$review/productReview/reviewText" />
		</div>
		<div style="clear: both"></div>

	</xsl:template>

	<xsl:template name="rating.for.loop">

		<xsl:param name="i" />
		<xsl:param name="count" />
		<xsl:param name="rating" />

		<!--begin_: Line_by_Line_Output -->
		<xsl:if test="$i &lt; $count">
			<xsl:choose>
				<xsl:when test="$i + 1 &lt;= $rating">
					<img src="../Umbraco/UCommerce/Images/star.png" alt="Star" />
				</xsl:when>
				<xsl:when test="$i &lt; $rating">
					<img src="../Umbraco/UCommerce/Images/star_half.png" alt="Star" />
				</xsl:when>
				<xsl:otherwise>
					<img src="../Umbraco/UCommerce/Images/star_grey.png" alt="Star" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>

		<!--begin_: RepeatTheLoopUntilFinished-->
		<xsl:if test="$i &lt; $count">
			<xsl:call-template name="rating.for.loop">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
				<xsl:with-param name="rating">
					<xsl:value-of select="$rating"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>

	</xsl:template>


</xsl:stylesheet>