﻿<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">

	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:template name="productReview">

		<xsl:param name="review" />

		<!-- Google product review, read more here http://www.google.com/support/webmasters/bin/answer.py?answer=146645 -->
		<div itemscope="" itemtype="http://data-vocabulary.org/Review">
			<xsl:value-of select="$review/@helpful" /> of <xsl:value-of select="$review/@helpful + $review/@unhelpful" /> found this review helpful
			<br />			
			<xsl:if test="number($review/@rating) > 0">
					<span itemprop="rating" style="display:none;">
						<xsl:value-of select="$review/@rating div 20" />
					</span>
			</xsl:if>
			<xsl:if test="number($review/@rating) > 0">
				<xsl:call-template name="rating.for.loop">
					<xsl:with-param name="i">0</xsl:with-param>
					<xsl:with-param name="count">5</xsl:with-param>
					<xsl:with-param name="rating">
						<xsl:value-of select="$review/@rating div 20" />
					</xsl:with-param>
				</xsl:call-template>&nbsp;
			</xsl:if>
			<b>
				<xsl:value-of select="$review/@reviewHeadline" />
			</b>,&nbsp;
			<xsl:if test="count($review/customer) > 0">
				By&nbsp;<b>
					<span itemprop="reviewer">
						<xsl:value-of select="$review/customer/@firstName" />&nbsp;<xsl:value-of select="$review/customer/@lastName" />
					</span>
				</b>,&nbsp;
			</xsl:if>
			<xsl:value-of select="$review/@createdOn" />
			<br />
			<span itemprop="description">
				<xsl:value-of select="$review/@reviewText" />
			</span>
		</div>
		<div style="clear: both"></div>

	</xsl:template>

	<xsl:template name="rating.for.loop">

		<xsl:param name="i" />
		<xsl:param name="count" />
		<xsl:param name="rating" />

		<!--begin_: Line_by_Line_Output -->
		<xsl:if test="$i &lt; $count">
			<xsl:choose>
				<xsl:when test="$i + 1 &lt;= $rating">
					<img src="/Umbraco/UCommerce/Images/star.png" alt="Star" />
				</xsl:when>
				<xsl:when test="$i &lt; $rating">
					<img src="/Umbraco/UCommerce/Images/star_half.png" alt="Star" />
				</xsl:when>
				<xsl:otherwise>
					<img src="/Umbraco/UCommerce/Images/star_grey.png" alt="Star" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>

		<!--begin_: RepeatTheLoopUntilFinished-->
		<xsl:if test="$i &lt; $count">
			<xsl:call-template name="rating.for.loop">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
				<xsl:with-param name="rating">
					<xsl:value-of select="$rating"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>

	</xsl:template>


</xsl:stylesheet>